#include "StdAfx.h"
#include "RemoveItemsFromNonGUIThreadJob.h"
#include "MainFrm.h"

CRemoveItemsFromNonGUIThreadJob::CRemoveItemsFromNonGUIThreadJob(CMainFrame& mainFrame, UINT count, Location location)
: m_MainFrame(mainFrame)
, m_Count(count)
, m_Location(location)
{
}

void CRemoveItemsFromNonGUIThreadJob::ProcessJob(Common::CAutomat* automat)
{
    m_MainFrame.RemoveItemsFromGrid(m_Count, m_Location, NonGUIThread);
} 
