// UpdateItemsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "UpdateItemsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUpdateItemsDlg dialog


CUpdateItemsDlg::CUpdateItemsDlg(UINT frequency, Thread source, CWnd* pParent /*=NULL*/)
    : CDialog(CUpdateItemsDlg::IDD, pParent)
{
    //{{AFX_DATA_INIT(CUpdateItemsDlg)
    m_Frequency = frequency;
    //}}AFX_DATA_INIT

    m_Source = source == NonGUIThread ? 1 : 0;
}


void CUpdateItemsDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CUpdateItemsDlg)
    DDX_Text(pDX, IDC_FREQUENCY, m_Frequency);
    DDX_Radio(pDX, IDC_UPDATES_SOURCE, m_Source);
    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CUpdateItemsDlg, CDialog)
    //{{AFX_MSG_MAP(CUpdateItemsDlg)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUpdateItemsDlg message handlers
Thread CUpdateItemsDlg::GetSource() const
{
    switch(m_Source)
    {
        case 0: return GUIThread;
        case 1: return NonGUIThread;

        default:
            return GUIThread;
    }   
}

UINT CUpdateItemsDlg::GetFrequency() const
{
    return m_Frequency;
}
