// MyFirstApplicationDoc.h : interface of the CMyFirstApplicationDoc class
//


#pragma once

#include "TestClass.h"

#include <vector>

class CMyFirstApplicationDoc : public CDocument
{
public:
    //Declaration of the container. This container will keep pointers to the objects of CTestObject class
    typedef std::vector<CTestClass*> Container;

    const Container& GetContainer() const;
    virtual void Serialize(CArchive& ar);

protected: // create from serialization only
    CMyFirstApplicationDoc();
    DECLARE_DYNCREATE(CMyFirstApplicationDoc)
    virtual ~CMyFirstApplicationDoc();

    // Overrides
    virtual BOOL OnNewDocument();

private:
    Container m_Container;

    DECLARE_MESSAGE_MAP()
};


